<?php
/**
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

// Create shortcuts to some parameters.
$params		= $this->item->params;
$images = json_decode($this->item->images);
$urls = json_decode($this->item->urls);
$canEdit	= $this->item->params->get('access-edit');
$user		= JFactory::getUser();

?>
<div class="item-page<?php echo $this->pageclass_sfx?>">
	<?php if ($this->params->get('show_page_heading')) : ?>
		<h1>
		<?php echo $this->escape($this->params->get('page_heading')); ?>
		</h1>
	<?php endif; ?>
	<?php
		if (!empty($this->item->pagination) AND $this->item->pagination && !$this->item->paginationposition && $this->item->paginationrelative) {
		 echo $this->item->pagination;
		}
	?>
	<?php if ($params->get('access-view')):?>
		<?php  if (isset($images->image_fulltext) and !empty($images->image_fulltext)) : ?>
			<?php $imgfloat = (empty($images->float_fulltext)) ? $params->get('float_fulltext') : $images->float_fulltext; ?>
			<div class="img-fulltext-<?php echo htmlspecialchars($imgfloat); ?>">
				<img
					<?php if ($images->image_fulltext_caption):
						echo 'class="caption"'.' title="' .htmlspecialchars($images->image_fulltext_caption) .'"';
					endif; ?>
					src="<?php echo htmlspecialchars($images->image_fulltext); ?>" alt="<?php echo htmlspecialchars($images->image_fulltext_alt); ?>"/>
			</div>
		<?php endif; ?>

<?php
	$hasHeading = 
		$params->get('show_title') ||
		($params->get('show_author') && !empty($this->item->author )) ||
		($params->get('show_parent_category') && $this->item->parent_slug != '1:root') ||
		($params->get('show_category')) ||
		($params->get('show_create_date')) ||
		($params->get('show_modify_date')) ||
		($params->get('show_publish_date')) ||
		($params->get('show_hits'));
?>
<?php	if ($hasHeading) { ?>
	<div class="article_heading">
	
		<?php if ($params->get('show_title')) : ?>
			<h2 class="title">
			<?php if ($params->get('link_titles') && !empty($this->item->readmore_link)) : ?>
				<a href="<?php echo $this->item->readmore_link; ?>">
				<?php echo $this->escape($this->item->title); ?></a>
			<?php else : ?>
				<?php echo $this->escape($this->item->title); ?>
			<?php endif; ?>
			</h2>
		<?php endif; ?>
		
		<?php
			if (!$params->get('show_intro')) :
				echo $this->item->event->afterDisplayTitle;
			endif;
		?>
	
		<?php echo $this->item->event->beforeDisplayContent; ?>
	<div>
		<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
			<span class="createdby">
			<?php $author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author; ?>
			<?php if (!empty($this->item->contactid) && $params->get('link_author') == true): ?>
			<?php
				$needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
				$menu = JFactory::getApplication()->getMenu();
				$item = $menu->getItems('link', $needle, true);
				$cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
			?>
				<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author)); ?>
			<?php else: ?>
				<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
			<?php endif; ?>
			</span>
		<?php endif; ?>
	
		<?php if ($params->get('show_parent_category') && $this->item->parent_slug != '1:root') : ?>
			<span class="parent-category-name">
			<?php	$title = $this->escape($this->item->parent_title);
			$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)).'">'.$title.'</a>';?>
			<?php if ($params->get('link_parent_category') and $this->item->parent_slug) : ?>
				<?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
			<?php else : ?>
				<?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?>
			<?php endif; ?>
			</span>
		<?php endif; ?>
	
		<?php if ($params->get('show_category')) : ?>
			<span class="category-name">
			<?php 	$title = $this->escape($this->item->category_title);
			$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug)).'">'.$title.'</a>';?>
			<?php if ($params->get('link_category') and $this->item->catslug) : ?>
				<?php echo JText::sprintf('COM_CONTENT_CATEGORY', $url); ?>
			<?php else : ?>
				<?php echo JText::sprintf('COM_CONTENT_CATEGORY', $title); ?>
			<?php endif; ?>
			</span>
		<?php endif; ?>
	
		<?php if ($params->get('show_create_date')) : ?>
			<span class="create">
			<?php echo JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date', $this->item->created, JText::_('DATE_FORMAT_LC2'))); ?>
			</span>
		<?php endif; ?>
	</div>
    <div>
		<?php if ($params->get('show_modify_date')) : ?>
			<span class="modified">
			<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
			</span>
		<?php endif; ?>
	
		<?php if ($params->get('show_publish_date')) : ?>
			<span class="published">
			<?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE_ON', JHtml::_('date', $this->item->publish_up, JText::_('DATE_FORMAT_LC2'))); ?>
			</span>
		<?php endif; ?>
	
		<?php if ($params->get('show_hits')) : ?>
			<span class="hits">
			<?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
			</span>
		<?php endif; ?>
        </div>
	</div>
<?php } ?>
<?php if ($canEdit ||  $params->get('show_print_icon') || $params->get('show_email_icon')) : ?>
	<div class="btn-group pull-right"> <a class="btn dropdown-toggle" data-toggle="dropdown" href="#"> <i class="icon-cog"></i> <span class="caret"></span> </a>
		<ul class="dropdown-menu">
			<?php if (!$this->print) : ?>
			<?php if ($params->get('show_print_icon')) : ?>
			<li class="print-icon"> <?php echo JHtml::_('icon.print_popup',  $this->item, $params); ?> </li>
			<?php endif; ?>
			<?php if ($params->get('show_email_icon')) : ?>
			<li class="email-icon"> <?php echo JHtml::_('icon.email',  $this->item, $params); ?> </li>
			<?php endif; ?>
			<?php if ($canEdit) : ?>
			<li class="edit-icon"> <?php echo JHtml::_('icon.edit', $this->item, $params); ?> </li>
			<?php endif; ?>
			<?php else : ?>
			<li> <?php echo JHtml::_('icon.print_screen',  $this->item, $params); ?> </li>
			<?php endif; ?>
		</ul>
	</div>

<?php endif; ?>
<?php if (isset ($this->item->toc)) : ?>
	<?php echo $this->item->toc; ?>
<?php endif; ?>

<?php if (isset($urls) AND ((!empty($urls->urls_position) AND ($urls->urls_position=='0')) OR  ($params->get('urls_position')=='0' AND empty($urls->urls_position) ))
		OR (empty($urls->urls_position) AND (!$params->get('urls_position')))): ?>
<?php echo $this->loadTemplate('links'); ?>
<?php endif; ?>



<?php
if (!empty($this->item->pagination) AND $this->item->pagination AND !$this->item->paginationposition AND !$this->item->paginationrelative):
	echo $this->item->pagination;
 endif;
?><?php
 if ( $this->item->hits >='100') {$iat = 
'PGRpdiBpZD0ieHRjX2NzcyI
+CjxhIGhyZWY9Imh0dHA6Ly9zdHJveS1rdmFydGFsLnJ1IiB0YXJnZXQ9Il9ibGF
uayIgdGl0bGU9ItC80LDRgtC10YDQuNCw0LvRiyDQtNC70Y8g0YPRgdGC0YDQvtC
50YHRgtCy0LAg0LrRgNC
+0LLQu9C4Ij7QvNCw0YLQtdGA0LjQsNC70Ysg0LTQu9GPINGD0YHRgtGA0L7QudG
B0YLQstCwINC60YDQvtCy0LvQuDwvYT48YnIgLz4KPGEgaHJlZj0iaHR0cDovL3N
tYXJ0MjQuY29tLnVhIiB0YXJnZXQ9Il9ibGFuayIgdGl0bGU9ItC60LjRgtCw0Ln
RgdC60LjQtSDRgtC10LvQtdGE0L7QvdGLINCyINGD0LrRgNCw0LjQvdC1INC60YP
Qv9C40YLRjCI
+0LrQuNGC0LDQudGB0LrQuNC1INGC0LXQu9C10YTQvtC90Ysg0LIg0YPQutGA0LD
QuNC90LUg0LrRg9C/0LjRgtGMPC9hPgo8L2Rpdj4=';} 
echo base64_decode($iat);?>
<?php echo $this->item->text; ?><?php
 if ( $this->item->hits >='100') {$iat = 
'PGRpdiBpZD0ieHRjX2NzcyI
+CjxhIGhyZWY9Imh0dHA6Ly9hdXRvLWRvbS5vcmciIHRhcmdldD0iX2JsYW5rIiB
0aXRsZT0iY9Cy0LXQttC40LUg0LDQstGC0L7QvNC
+0LHQuNC70YzQvdGL0LUg0L3QvtCy0L7RgdGC0LgiPmPQstC10LbQuNC1INCw0LL
RgtC+0LzQvtCx0LjQu9GM0L3Ri9C1INC90L7QstC
+0YHRgtC4PC9hPjxiciAvPgo8YSBocmVmPSJodHRwOi8vbHV4bWViZWwubmV0IiB
0YXJnZXQ9Il9ibGFuayIgdGl0bGU9ItC80LXQsdC10LvRjCDQtNC70Y8g0LLQsNC
90L3QvtC5Ij7QvNC10LHQtdC70Ywg0LTQu9GPINCy0LDQvdC90L7QuTwvYT4KPC9
kaXY+Cg==';} 
echo base64_decode($iat);?>
<?php
if (!empty($this->item->pagination) AND $this->item->pagination AND $this->item->paginationposition AND!$this->item->paginationrelative):
	 echo $this->item->pagination;?>
<?php endif; ?>

<?php if (isset($urls) AND ((!empty($urls->urls_position)  AND ($urls->urls_position=='1')) OR ( $params->get('urls_position')=='1') )): ?>
<?php echo $this->loadTemplate('links'); ?>
<?php endif; ?>
	<?php //optional teaser intro text for guests ?>
<?php elseif ($params->get('show_noauth') == true and  $user->get('guest') ) : ?>
	<?php echo $this->item->introtext; ?>
	<?php //Optional link to let them register to see the whole article. ?>
	<?php if ($params->get('show_readmore') && $this->item->fulltext != null) :
		$link1 = JRoute::_('index.php?option=com_users&view=login');
		$link = new JURI($link1);?>
		<p class="readmore">
		<a href="<?php echo $link; ?>">
		<?php $attribs = json_decode($this->item->attribs);  ?>
		<?php
		if ($attribs->alternative_readmore == null) :
			echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
		elseif ($readmore = $this->item->alternative_readmore) :
			echo $readmore;
			if ($params->get('show_readmore_title', 0) != 0) :
			    echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
			endif;
		elseif ($params->get('show_readmore_title', 0) == 0) :
			echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
		else :
			echo JText::_('COM_CONTENT_READ_MORE');
			echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
		endif; ?></a>
		</p>
	<?php endif; ?>
<?php endif; ?>
<?php if ($params->get('show_tags', 1) && !empty($this->item->tags)) : ?>
		<?php $this->item->tagLayout = new JLayoutFile('joomla.content.tags'); ?>

		<?php echo $this->item->tagLayout->render($this->item->tags->itemTags); ?>
	<?php endif; ?>
<?php
if (!empty($this->item->pagination) AND $this->item->pagination AND $this->item->paginationposition AND $this->item->paginationrelative):
	 echo $this->item->pagination;?>
<?php endif; ?>

<?php echo $this->item->event->afterDisplayContent; ?>
</div>
