<?php
/**
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers');

?>
<div class="bandit_content_layout blog<?php echo $this->pageclass_sfx;?>">
	<?php if ($this->params->get('show_page_heading')) : ?>
		<h1>
			<?php echo $this->escape($this->params->get('page_heading')); ?>
		</h1>
	<?php endif; ?>

	<?php if ($this->params->get('show_category_title', 1) or $this->params->get('page_subheading')) : ?>
		<h2>
			<?php echo $this->escape($this->params->get('page_subheading')); ?>
			<?php if ($this->params->get('show_category_title')) : ?>
				<span class="subheading-category"><?php echo $this->category->title;?></span>
			<?php endif; ?>
		</h2>
	<?php endif; ?>




<?php if ($this->params->get('show_description', 1) || $this->params->def('show_description_image', 1)) : ?>
	<div class="category-desc">
		<?php if ($this->params->get('show_description_image') && $this->category->getParams()->get('image')) : ?>
			<img src="<?php echo $this->category->getParams()->get('image'); ?>"/>
		<?php endif; ?>
		<?php if ($this->params->get('show_description') && $this->category->description) : ?>
			<?php echo JHtml::_('content.prepare', $this->category->description, '', 'com_content.category'); ?>
		<?php endif; ?>
	<div class="clr"></div>
	</div>
<?php endif; ?>



<?php $leadingcount=0 ; ?>
<?php if (!empty($this->lead_items)) { ?>
	<div class="areamain">
		<?php
			foreach ($this->lead_items as $c => &$item) {
				$c++;
				$leadingcount++;
				if ($itemColumnCount == 1) { $colclass = 'singlecol'; } 	// Col class
				elseif ($c == 1) { $colclass = 'firstcol'; }
				elseif ($c == $itemColumnCount) { $colclass = 'lastcol'; }
				else { $colclass = 'centercol'; }
				$colclass .= ($c%2) ? ' oddcol' : ' evencol';
				$this->item = &$item;
				echo '<div class="singlerow oddrow row-1 '.$colclass.' col-'.$c.'">';
				echo $this->loadTemplate('item');
				echo '</div>';
			}
		?>		
		<div class="clr"></div>
	</div>
<?php } ?>



<?php
	$introcount=(count($this->intro_items));
	$counter=0;
?>
<?php if (!empty($this->intro_items)) : ?>
	<div class="areamore">
		<?php
			$numColumns = $this->columns;
			$rows = array_chunk($this->intro_items, $numColumns);
			$itemRowsCount = count($rows);

			$elementWidth = round(100 / $numColumns,4);
			$elementHeight = round(100 / $itemRowsCount,4);
			
			foreach ($rows as $r => $row) {
				$r++;
				if ($itemRowsCount == 1) { $rowclass = 'singlerow'; }	// Row class
				elseif ($r == 1) { $rowclass = 'firstrow'; }
				elseif ($r == $itemRowsCount) { $rowclass = 'lastrow'; }
				else { $rowclass = 'centerrow'; }
				$rowclass .= ($r%2) ? ' oddrow' : ' evenrow';

				$itemColumnCount = count($row);
				foreach ($row as $c => $item) {
					$c++;
					if ($itemColumnCount == 1) { $colclass = 'singlecol'; } 	// Col class
					elseif ($c == 1) { $colclass = 'firstcol'; }
					elseif ($c == $itemColumnCount) { $colclass = 'lastcol'; }
					else { $colclass = 'centercol'; }
					$colclass .= ($c%2) ? ' oddcol' : ' evencol';
					
					$this->item=$item;
					echo '<div class="'.$rowclass.' row-'.$r.' '.$colclass.' col-'.$c.'" style="width:'.$elementWidth.'%;height:'.$elementHeight.'%" >';
					echo $this->loadTemplate('item');
					echo '</div>';
				}
			}
		?>		
		<div class="clr"></div>
	</div>
<?php endif; ?>

<?php if (!empty($this->link_items)) : ?>

	<?php echo $this->loadTemplate('links'); ?>

<?php endif; ?>


	<?php if (!empty($this->children[$this->category->id])&& $this->maxLevel != 0) : ?>
		<div class="cat-children">
		<?php if ($this->params->get('show_category_heading_title_text', 1) == 1) : ?>
		<h3>
		<?php echo JTEXT::_('JGLOBAL_SUBCATEGORIES'); ?>
		</h3>
		<?php endif; ?>
			<?php echo $this->loadTemplate('children'); ?>
		</div>
	<?php endif; ?>

<?php if (($this->params->def('show_pagination', 1) == 1  || ($this->params->get('show_pagination') == 2)) && ($this->pagination->get('pages.total') > 1)) : ?>
		<div class="pagination">
						<?php  if ($this->params->def('show_pagination_results', 1)) : ?>
						<p class="counter">
								<?php echo $this->pagination->getPagesCounter(); ?>
						</p>

				<?php endif; ?>
				<?php echo $this->pagination->getPagesLinks(); ?>
		</div>
<?php  endif; ?>

</div>
